ระบบทั้งหมดทำงานปกติ

เอกสาร API

รูปแบบ SMM panel API v2 มาตรฐาน เครื่องมือของตัวแทนจำหน่ายที่มีอยู่ใช้งานได้ทันที

HTTP method
POST
API URL
https://orcasmm.com/api/v2
รูปแบบคำขอ
x-www-form-urlencoded
รูปแบบการตอบกลับ
JSON
action=services
รายการบริการ
พารามิเตอร์
keyAPI key
actionservices
ตัวอย่างการตอบกลับ
[
  {
    "service": 1,
    "name": "Instagram Followers",
    "type": "Default",
    "category": "Instagram",
    "rate": "0.9000",
    "min": "50",
    "max": "10000",
    "refill": true,
    "cancel": true,
    "dripfeed": false
  }
]
action=add
เพิ่มออเดอร์
พารามิเตอร์
keyAPI key
actionadd
serviceรหัสบริการ
linkลิงก์
quantityจำนวน
runsจำนวนรอบ Drip-feed (ไม่บังคับ)
intervalระยะห่างของ Drip-feed เป็นนาที (ไม่บังคับ)
commentsคอมเมนต์ บรรทัดละหนึ่งข้อความ (บริการคอมเมนต์)
ตัวอย่างการตอบกลับ
{
  "order": 23501
}
action=status
สถานะออเดอร์
พารามิเตอร์
keyAPI key
actionstatus
orderรหัสออเดอร์
ordersรหัสออเดอร์ คั่นด้วยเครื่องหมายจุลภาค (สูงสุด 100)
ตัวอย่างการตอบกลับ
{
  "charge": "0.2782",
  "start_count": "3572",
  "status": "Partial",
  "remains": "157",
  "currency": "USD"
}
action=refill
สร้างการเติม (Refill)
พารามิเตอร์
keyAPI key
actionrefill
orderรหัสออเดอร์
ordersรหัสออเดอร์ คั่นด้วยเครื่องหมายจุลภาค (สูงสุด 20)
ตัวอย่างการตอบกลับ
{
  "refill": 1
}
action=refill_status
สถานะการเติม (Refill)
พารามิเตอร์
keyAPI key
actionrefill_status
refillรหัสการเติม (Refill)
refillsรหัสการเติม (Refill) คั่นด้วยเครื่องหมายจุลภาค (สูงสุด 20)
ตัวอย่างการตอบกลับ
{
  "status": "Completed"
}
action=cancel
ยกเลิกออเดอร์
พารามิเตอร์
keyAPI key
actioncancel
ordersรหัสออเดอร์ คั่นด้วยเครื่องหมายจุลภาค (สูงสุด 20)
ตัวอย่างการตอบกลับ
[
  { "order": 9, "cancel": 1 },
  { "order": 2, "cancel": { "error": "Incorrect order ID" } }
]
action=balance
ยอดเงินคงเหลือ
พารามิเตอร์
keyAPI key
actionbalance
ตัวอย่างการตอบกลับ
{
  "balance": "100.8429",
  "currency": "USD"
}
ตัวอย่างคำขอ (curl)
curl -X POST https://orcasmm.com/api/v2 \
  -d key=YOUR_API_KEY \
  -d action=add \
  -d service=1 \
  -d link=https://instagram.com/username \
  -d quantity=1000